<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Detail of Customer</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Detail of customer</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>CustomerId:</h:outputText>
            <h:outputText value="#{customer.customer.customerId}" title="CustomerId" />
            <h:outputText>Zip:</h:outputText>
            <h:outputText value="#{customer.customer.zip}" title="Zip" />
            <h:outputText>Name:</h:outputText>
            <h:outputText value="#{customer.customer.name}" title="Name" />
            <h:outputText>Addressline1:</h:outputText>
            <h:outputText value="#{customer.customer.addressline1}" title="Addressline1" />
            <h:outputText>Addressline2:</h:outputText>
            <h:outputText value="#{customer.customer.addressline2}" title="Addressline2" />
            <h:outputText>City:</h:outputText>
            <h:outputText value="#{customer.customer.city}" title="City" />
            <h:outputText>State:</h:outputText>
            <h:outputText value="#{customer.customer.state}" title="State" />
            <h:outputText>Phone:</h:outputText>
            <h:outputText value="#{customer.customer.phone}" title="Phone" />
            <h:outputText>Fax:</h:outputText>
            <h:outputText value="#{customer.customer.fax}" title="Fax" />
            <h:outputText>Email:</h:outputText>
            <h:outputText value="#{customer.customer.email}" title="Email" />
            <h:outputText>CreditLimit:</h:outputText>
            <h:outputText value="#{customer.customer.creditLimit}" title="CreditLimit" />
            <h:outputText>DiscountCode:</h:outputText>
            <h:outputText value="#{customer.customer.discountCode}" title="DiscountCode" />
        </h:panelGrid>
        <h:dataTable value="#{customer.customer.orders}" var="item" border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="OrderNum"/>
                </f:facet>
                <h:outputText value="#{item.orderNum}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Quantity"/>
                </f:facet>
                <h:outputText value="#{item.quantity}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ShippingCost"/>
                </f:facet>
                <h:outputText value="#{item.shippingCost}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="SalesDate"/>
                </f:facet>
                <h:outputText value="#{item.salesDate}">
                    <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ShippingDate"/>
                </f:facet>
                <h:outputText value="#{item.shippingDate}">
                    <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="FreightCompany"/>
                </f:facet>
                <h:outputText value="#{item.freightCompany}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="CustomerId"/>
                </f:facet>
                <h:outputText value="#{item.customerId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductId"/>
                </f:facet>
                <h:outputText value="#{item.productId}"/>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{customer.editSetup}">
            <f:param name="customerId" value="#{customer.customer.customerId}"/>
            <h:outputText value="Edit"/>
        </h:commandLink>
        <h:commandLink action="customer_list" value="Show All Customer"/>
    </h:form>
</f:view>
