<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>List Orders</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Listing Orderss</h1>
    <h:form>
        <h:dataTable value='#{orders.orderss}' var='item' border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="OrderNum"/>
                </f:facet>
                <h:commandLink action="#{orders.detailSetup}">
                    <f:param name="orderNum" value="#{item.orderNum}"/>
                    <h:outputText value="#{item.orderNum}"/>
                </h:commandLink>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Quantity"/>
                </f:facet>
                <h:outputText value="#{item.quantity}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ShippingCost"/>
                </f:facet>
                <h:outputText value="#{item.shippingCost}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="SalesDate"/>
                </f:facet>
                <h:outputText value="#{item.salesDate}">
                    <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ShippingDate"/>
                </f:facet>
                <h:outputText value="#{item.shippingDate}">
                    <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="FreightCompany"/>
                </f:facet>
                <h:outputText value="#{item.freightCompany}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="CustomerId"/>
                </f:facet>
                <h:outputText value="#{item.customerId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductId"/>
                </f:facet>
                <h:outputText value="#{item.productId}"/>
            </h:column>
            <h:column>
                <h:commandLink action="#{orders.destroy}" onclick="return confirm('Are you sure?');">
                    <f:param name="orderNum" value="#{item.orderNum}"/>
                    <h:outputText value='Destroy'/>
                </h:commandLink>
                <h:outputText value=" "/>
                <h:commandLink action="#{orders.editSetup}">
                    <f:param name="orderNum" value="#{item.orderNum}"/>
                    <h:outputText value='Edit'/>
                </h:commandLink>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{orders.createSetup}">
            <h:outputText value="New Orders"/>
        </h:commandLink>
    </h:form>
</f:view>