<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Detail of Product</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Detail of product</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>ProductId:</h:outputText>
            <h:outputText value="#{product.product.productId}" title="ProductId" />
            <h:outputText>PurchaseCost:</h:outputText>
            <h:outputText value="#{product.product.purchaseCost}" title="PurchaseCost" />
            <h:outputText>QuantityOnHand:</h:outputText>
            <h:outputText value="#{product.product.quantityOnHand}" title="QuantityOnHand" />
            <h:outputText>Markup:</h:outputText>
            <h:outputText value="#{product.product.markup}" title="Markup" />
            <h:outputText>Available:</h:outputText>
            <h:outputText value="#{product.product.available}" title="Available" />
            <h:outputText>Description:</h:outputText>
            <h:outputText value="#{product.product.description}" title="Description" />
            <h:outputText>ManufactureId:</h:outputText>
            <h:outputText value="#{product.product.manufactureId}" title="ManufactureId" />
            <h:outputText>ProductCode:</h:outputText>
            <h:outputText value="#{product.product.productCode}" title="ProductCode" />
        </h:panelGrid>
        <h:dataTable value="#{product.product.orders}" var="item" border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="OrderNum"/>
                </f:facet>
                <h:outputText value="#{item.orderNum}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Quantity"/>
                </f:facet>
                <h:outputText value="#{item.quantity}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ShippingCost"/>
                </f:facet>
                <h:outputText value="#{item.shippingCost}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="SalesDate"/>
                </f:facet>
                <h:outputText value="#{item.salesDate}">
                    <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ShippingDate"/>
                </f:facet>
                <h:outputText value="#{item.shippingDate}">
                    <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
                </h:outputText>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="FreightCompany"/>
                </f:facet>
                <h:outputText value="#{item.freightCompany}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="CustomerId"/>
                </f:facet>
                <h:outputText value="#{item.customerId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductId"/>
                </f:facet>
                <h:outputText value="#{item.productId}"/>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{product.editSetup}">
            <f:param name="productId" value="#{product.product.productId}"/>
            <h:outputText value="Edit"/>
        </h:commandLink>
        <h:commandLink action="product_list" value="Show All Product"/>
    </h:form>
</f:view>
