<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>List Product</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Listing Products</h1>
    <h:form>
        <h:dataTable value='#{product.products}' var='item' border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductId"/>
                </f:facet>
                <h:commandLink action="#{product.detailSetup}">
                    <f:param name="productId" value="#{item.productId}"/>
                    <h:outputText value="#{item.productId}"/>
                </h:commandLink>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="PurchaseCost"/>
                </f:facet>
                <h:outputText value="#{item.purchaseCost}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="QuantityOnHand"/>
                </f:facet>
                <h:outputText value="#{item.quantityOnHand}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Markup"/>
                </f:facet>
                <h:outputText value="#{item.markup}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Available"/>
                </f:facet>
                <h:outputText value="#{item.available}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Description"/>
                </f:facet>
                <h:outputText value="#{item.description}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ManufactureId"/>
                </f:facet>
                <h:outputText value="#{item.manufactureId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductCode"/>
                </f:facet>
                <h:outputText value="#{item.productCode}"/>
            </h:column>
            <h:column>
                <h:commandLink action="#{product.destroy}" onclick="return confirm('Are you sure?');">
                    <f:param name="productId" value="#{item.productId}"/>
                    <h:outputText value='Destroy'/>
                </h:commandLink>
                <h:outputText value=" "/>
                <h:commandLink action="#{product.editSetup}">
                    <f:param name="productId" value="#{item.productId}"/>
                    <h:outputText value='Edit'/>
                </h:commandLink>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{product.createSetup}">
            <h:outputText value="New Product"/>
        </h:commandLink>
    </h:form>
</f:view>