package foo;
import java.util.Collection;
import javax.annotation.Resource;
import javax.faces.application.FacesMessage;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.servlet.http.HttpServletRequest;
import javax.transaction.UserTransaction;

public class DiscountCodeController {

    private DiscountCode discountCode;

    @Resource
    private UserTransaction utx;

    @PersistenceContext(unitName = "WebApplication21")
    private EntityManager em;

    public String createSetup() {
        this.discountCode = new DiscountCode();
        return "discountCode_create";
    }

    public String create() {
        try {
            utx.begin();
            em.persist(discountCode);
            utx.commit();
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        addMessage("DiscountCode was successfully created.");
        return "discountCode_list"; 
    }

    public String detailSetup() {
        setDiscountCodeFromRequestParam();
        return "discountCode_detail";
    }

    public String editSetup() {
        setDiscountCodeFromRequestParam();
        return "discountCode_edit";
    }

    public String edit() {
        try {
            utx.begin();
            discountCode = em.merge(discountCode);
            utx.commit();
            addMessage("DiscountCode was successfully updated.");
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        return "discountCode_list"; 
    }

    public String destroy() {
        try {
            utx.begin();
            DiscountCode discountCode = getDiscountCodeFromRequestParam();
            discountCode = em.merge(discountCode);
            em.remove(discountCode);
            utx.commit();
            addMessage("DiscountCode was successfully deleted.");
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        return "discountCode_list"; 
    }

    public DiscountCode getDiscountCodeFromRequestParam() {
        ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
        HttpServletRequest request = (HttpServletRequest)ec.getRequest();
        String param = request.getParameter("discountCode");
        String id = param;
        return em.find(DiscountCode.class, id);
    }

    public void setDiscountCodeFromRequestParam() {
        DiscountCode discountCode = getDiscountCodeFromRequestParam();
        setDiscountCode(discountCode);
    }

    public Collection getDiscountCodes() {
        return em.createQuery("select object(o) from DiscountCode as o").getResultList();
    }

    public DiscountCode getDiscountCode() {
        return discountCode;
    }

    public void setDiscountCode(DiscountCode discountCode) {
        this.discountCode = discountCode;
    }

    public static void addMessage(String msg) {
        FacesMessage facesMsg = new FacesMessage(FacesMessage.SEVERITY_ERROR, msg, msg);
        FacesContext fc = FacesContext.getCurrentInstance();
        fc.addMessage(null, facesMsg);
    }

    public DiscountCode findDiscountCode(String id) {
        return (DiscountCode) em.find(DiscountCode.class, id);
    }
}
