package foo;
import java.util.Collection;
import javax.annotation.Resource;
import javax.faces.application.FacesMessage;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.servlet.http.HttpServletRequest;
import javax.transaction.UserTransaction;

public class ManufactureController {

    private Manufacture manufacture;

    @Resource
    private UserTransaction utx;

    @PersistenceContext(unitName = "WebApplication21")
    private EntityManager em;

    public String createSetup() {
        this.manufacture = new Manufacture();
        return "manufacture_create";
    }

    public String create() {
        try {
            utx.begin();
            em.persist(manufacture);
            utx.commit();
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        addMessage("Manufacture was successfully created.");
        return "manufacture_list"; 
    }

    public String detailSetup() {
        setManufactureFromRequestParam();
        return "manufacture_detail";
    }

    public String editSetup() {
        setManufactureFromRequestParam();
        return "manufacture_edit";
    }

    public String edit() {
        try {
            utx.begin();
            manufacture = em.merge(manufacture);
            utx.commit();
            addMessage("Manufacture was successfully updated.");
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        return "manufacture_list"; 
    }

    public String destroy() {
        try {
            utx.begin();
            Manufacture manufacture = getManufactureFromRequestParam();
            manufacture = em.merge(manufacture);
            em.remove(manufacture);
            utx.commit();
            addMessage("Manufacture was successfully deleted.");
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        return "manufacture_list"; 
    }

    public Manufacture getManufactureFromRequestParam() {
        ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
        HttpServletRequest request = (HttpServletRequest)ec.getRequest();
        String param = request.getParameter("manufactureId");
        Integer id = new Integer(param);
        return em.find(Manufacture.class, id);
    }

    public void setManufactureFromRequestParam() {
        Manufacture manufacture = getManufactureFromRequestParam();
        setManufacture(manufacture);
    }

    public Collection getManufactures() {
        return em.createQuery("select object(o) from Manufacture as o").getResultList();
    }

    public Manufacture getManufacture() {
        return manufacture;
    }

    public void setManufacture(Manufacture manufacture) {
        this.manufacture = manufacture;
    }

    public static void addMessage(String msg) {
        FacesMessage facesMsg = new FacesMessage(FacesMessage.SEVERITY_ERROR, msg, msg);
        FacesContext fc = FacesContext.getCurrentInstance();
        fc.addMessage(null, facesMsg);
    }

    public Manufacture findManufacture(Integer id) {
        return (Manufacture) em.find(Manufacture.class, id);
    }
}
