package foo;
import java.util.Collection;
import java.util.List;
import javax.annotation.Resource;
import javax.faces.application.FacesMessage;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.servlet.http.HttpServletRequest;
import javax.transaction.UserTransaction;

public class OrdersController {

    private Orders orders;

    @Resource
    private UserTransaction utx;

    @PersistenceContext(unitName = "WebApplication21")
    private EntityManager em;

    public String createSetup() {
        this.orders = new Orders();
        return "orders_create";
    }

    public String create() {
        try {
            utx.begin();
            em.persist(orders);
            utx.commit();
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        addMessage("Orders was successfully created.");
        return "orders_list"; 
    }

    public String detailSetup() {
        setOrdersFromRequestParam();
        return "orders_detail";
    }

    public String editSetup() {
        setOrdersFromRequestParam();
        return "orders_edit";
    }

    public String edit() {
        try {
            utx.begin();
            orders = em.merge(orders);
            utx.commit();
            addMessage("Orders was successfully updated.");
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        return "orders_list"; 
    }

    public String destroy() {
        try {
            utx.begin();
            Orders orders = getOrdersFromRequestParam();
            orders = em.merge(orders);
            em.remove(orders);
            utx.commit();
            addMessage("Orders was successfully deleted.");
        } catch (Exception ex) {
            try {
                utx.rollback();
            } catch (Exception e) {}
        }
        return "orders_list"; 
    }

    public Orders getOrdersFromRequestParam() {
        ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
        HttpServletRequest request = (HttpServletRequest)ec.getRequest();
        String param = request.getParameter("orderNum");
        Integer id = new Integer(param);
        return em.find(Orders.class, id);
    }

    public void setOrdersFromRequestParam() {
        Orders orders = getOrdersFromRequestParam();
        setOrders(orders);
    }

    public Collection getOrderss() {
        return em.createQuery("select object(o) from Orders as o").getResultList();
    }

    public Orders getOrders() {
        return orders;
    }

    public void setOrders(Orders orders) {
        this.orders = orders;
    }

    public static void addMessage(String msg) {
        FacesMessage facesMsg = new FacesMessage(FacesMessage.SEVERITY_ERROR, msg, msg);
        FacesContext fc = FacesContext.getCurrentInstance();
        fc.addMessage(null, facesMsg);
    }

    public Orders findOrders(Integer id) {
        return (Orders) em.find(Orders.class, id);
    }

    public javax.faces.model.SelectItem[] getCustomerIds() {
        List <Customer> l = (List <Customer>) em.createQuery("select o from Customer as o").getResultList();
        SelectItem select[] = new SelectItem[l.size()];
        int i = 0;
        for(Customer x : l) {
                select[i++] = new SelectItem(x);
            }
            return select;
    }

    public javax.faces.model.SelectItem[] getProductIds() {
        List <Product> l = (List <Product>) em.createQuery("select o from Product as o").getResultList();
        SelectItem select[] = new SelectItem[l.size()];
        int i = 0;
        for(Product x : l) {
                select[i++] = new SelectItem(x);
            }
            return select;
    }
}
